Ryzehosting
  1. account
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. account

save address

POST
account/save-address

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dash.ryzehosting.com/api/v2/account/save-address' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "firstname": "Simon",
  "lastname": "Mariacher",
  "street": "",
  "number": "",
  "postcode": "",
  "city": "",
  "country": "",
  "state": "",
  "phone": "+43.06601719333",
  "is_business_customer": false,
  "company_name": "",
  "vat_number": ""
}'
Response Response Example
200 - Success
{
    "response": "Address saved successfully",
    "state": "success",
    "code": 200,
    "data": {
        "message": "Daten wurden gespeichert und die Adresse wurde gesperrt.",
        "address": {
            "firstname": "Simon",
            "lastname": "Mariacher",
            "street": "Bildsteinerstraße",
            "number": "7",
            "postcode": "6858",
            "city": "Schwarzach",
            "country": "Österreich",
            "phone": "+43.06607864444",
            "company_name": "",
            "vat_number": "",
            "state": "Vorarlberg",
            "saved_at": "2025-12-15 12:44:21"
        }
    }
}
Modified at 2026-01-16 21:32:04
Previous
redeem voucher
Next
affiliate stats
Built with